package com.fs.provider.service;

import java.util.List;
import com.fs.provider.domain.ServiceOrderTaskRel;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * 服务单-任务关联Service接口
 * 
 * @author fs
 * @date 2026-01-26
 */
public interface IServiceOrderTaskRelService 
{
    /**
     * 查询服务单-任务关联
     * 
     * @param id 服务单-任务关联主键
     * @return 服务单-任务关联
     */
    public ServiceOrderTaskRel selectServiceOrderTaskRelById(Long id);

    /**
     * 查询服务单-任务关联列表
     * 
     * @param serviceOrderTaskRel 服务单-任务关联
     * @return 服务单-任务关联集合
     */
    public List<ServiceOrderTaskRel> selectServiceOrderTaskRelList(ServiceOrderTaskRel serviceOrderTaskRel);

    /**
     * 新增服务单-任务关联
     * 
     * @param serviceOrderTaskRel 服务单-任务关联
     * @return 结果
     */
    public int insertServiceOrderTaskRel(ServiceOrderTaskRel serviceOrderTaskRel);

    /**
     * 修改服务单-任务关联
     * 
     * @param serviceOrderTaskRel 服务单-任务关联
     * @return 结果
     */
    public int updateServiceOrderTaskRel(ServiceOrderTaskRel serviceOrderTaskRel);

    /**
     * 批量删除服务单-任务关联
     * 
     * @param ids 需要删除的服务单-任务关联主键集合
     * @return 结果
     */
    public int deleteServiceOrderTaskRelByIds(Long[] ids);

    /**
     * 删除服务单-任务关联信息
     * 
     * @param id 服务单-任务关联主键
     * @return 结果
     */
    public int deleteServiceOrderTaskRelById(Long id);

    boolean existsByTaskId(Long taskId);



    List<ServiceOrderTaskRel> selectByServiceOrderId(@Param("id")  Long id);



}
